from netforce.model import Model, fields

class Settings(Model):
    _inherit="settings"
    _fields={
        "ap_uc_id": fields.Many2One("account.account","Account Payment UC"),
        "ap_sc_id": fields.Many2One("account.account","Account Payment Social Security"),
        "ar_uc_id": fields.Many2One("account.account","Account Recieve UC"),
        "ar_sc_id": fields.Many2One("account.account","Account Recieve Social Security"),
        "ap_nurse_id": fields.Many2One("account.account","Account Payment Nurse"),
        "ap_doctor_id": fields.Many2One("account.account","Account Payment Doctor"),
        'hospital_code': fields.Char("Hospital Code", multi_company=True),
    }

Settings.register()
