from netforce.model import Model, fields

class PeriodLine(Model):
    _name="clinic.period.line"
    _string="Period Line"

    _fields={
        "period_id": fields.Many2One("clinic.period", "Period"),
        #'date_start': fields.Date("Date Start"),
        #'date_stop': fields.Date("Date Stop"),
        'date_start': fields.Char("Date Start"),
        'date_stop': fields.Char("Date Stop"),
        'state': fields.Selection([['draft','Draft'],['done','Done']],"State"),
    }
    
    _defaults={
        'state': 'draft',
    }

PeriodLine.register()
